Don't Upgrade to HRMS 2015 just yet! - The Blytheco Blog

Don’t Upgrade to HRMS 2015 just yet!


If you have Delphia plugins for your Sage HRMS system, you will need to schedule support with them BEFORE you upgrade to the 2015 version of Sage HRMS.

You can contact Delphia at support@hrmsplugins.com to schedule assistance from them or you can contact our Consulting team at (877) 411-2339.

Avatar for Denise Renee

Share This Post